import { withTheme } from '@dokuhero/react-native-theme';
import React from 'react';
import { Image, View } from 'react-native';
export var Avatar = withTheme(function (_a) {
    var source = _a.source, borderWidth = _a.borderWidth, size = _a.size, borderColor = _a.borderColor, theme = _a.theme;
    borderWidth = borderWidth || 0;
    size = size || 140;
    return (<View style={{
        width: size + borderWidth * 2,
        height: size + borderWidth * 2,
        borderRadius: (size + borderWidth * 2) / 2,
        borderWidth: 5,
        borderColor: borderColor || theme.color.white,
        alignItems: 'center',
        flexDirection: 'column',
        justifyContent: 'center'
    }}>
        <Image style={{
        borderRadius: size / 2,
        width: size,
        height: size
    }} source={source} resizeMode="contain"/>
      </View>);
});
//# sourceMappingURL=Avatar.js.map