import { withTheme } from '@dokuhero/react-native-theme';
import React from 'react';
import { Text, View } from 'react-native';
import { Icon } from 'react-native-elements';
export var IconText = withTheme(function (_a) {
    var color = _a.color, name = _a.name, type = _a.type, text = _a.text, textStyle = _a.textStyle, containerStyle = _a.containerStyle, theme = _a.theme;
    var clr = color || theme.color.darker;
    return (<View style={[{ flexDirection: 'row', alignItems: 'center' }, containerStyle]}>
        <Icon name={name} type={type} color={clr}/>
        <Text style={[{ marginLeft: 7, color: clr }, textStyle]}>{text}</Text>
      </View>);
});
//# sourceMappingURL=IconText.js.map