import { withTheme } from '@dokuhero/react-native-theme';
import * as React from 'react';
import { TouchableOpacity } from 'react-native';
import { Icon } from 'react-native-elements';
import { globalStyles } from '../styles';
export var MyLocationButton = withTheme(function (_a) {
    var theme = _a.theme, onPress = _a.onPress;
    return (<TouchableOpacity style={[
        {
            position: 'absolute',
            width: 40,
            height: 40,
            bottom: 20,
            right: 20,
            zIndex: 10,
            backgroundColor: theme.color.semiTransparent,
            borderRadius: 10
        },
        globalStyles.centerize
    ]} onPress={onPress}>
        <Icon color={theme.color.white} name="my-location" type="material-icons"/>
      </TouchableOpacity>);
});
//# sourceMappingURL=MyLocationButton.js.map