import * as tslib_1 from "tslib";
import { withTheme } from '@dokuhero/react-native-theme';
import React from 'react';
import { Text as Txt } from 'react-native-elements';
export var Text = withTheme(function (_a) {
    var align = _a.align, color = _a.color, paragraph = _a.paragraph, title = _a.title, style = _a.style, theme = _a.theme, rest = tslib_1.__rest(_a, ["align", "color", "paragraph", "title", "style", "theme"]);
    return (<Txt fontFamily={title ? theme.fontName.semiBold : theme.fontName.regular} {...rest} style={[
        {
            textAlign: align,
            fontSize: title ? 24 : 14,
            color: color,
            marginBottom: paragraph ? 20 : undefined
        },
        style
    ]}/>);
});
//# sourceMappingURL=Text.js.map