import { withTheme } from '@dokuhero/react-native-theme';
import React from 'react';
import { TouchableOpacity } from 'react-native';
import { Text } from './Text';
export var TextButton = withTheme(function (_a) {
    var onPress = _a.onPress, text = _a.text, textStyle = _a.textStyle, theme = _a.theme;
    return (<TouchableOpacity onPress={onPress}>
        <Text style={[
        {
            color: theme.color.white
        },
        textStyle
    ]}>
          {text}
        </Text>
      </TouchableOpacity>);
});
//# sourceMappingURL=TextButton.js.map