import React from 'react'
import { InjectedTranslateProps } from 'react-i18next'
import { IconProps } from 'react-native-elements'
import { WithThemeAndLocaleProps } from '../utils'
interface FullScreenMessageState {
  refreshing: boolean
}
export interface FullScreenMessageProps
  extends Partial<InjectedTranslateProps & WithThemeAndLocaleProps> {
  message?: string
  icon?: IconProps
  onRefresh?: () => Promise<any>
  backgroundColor?: string
  textColor?: string
}
export declare class FullScreenMessage extends React.Component<
  FullScreenMessageProps,
  FullScreenMessageState
> {
  constructor(props: FullScreenMessageProps)
  render(): JSX.Element
}
export {}
