import React from 'react'
import { WithThemeAndLocaleProps } from '../utils'
import { ItemIdentityAvatar } from './ItemIdentity'
export interface ItemIdentityPickerProps
  extends Partial<WithThemeAndLocaleProps> {
  value: ItemIdentityAvatar
  onChange: (item: ItemIdentityAvatar) => void
}
interface ItemIdentityPickerState {
  selectedTab: 'color' | 'image'
  color: string
  image: string | null
}
export declare class ItemIdentityPicker extends React.Component<
  ItemIdentityPickerProps,
  ItemIdentityPickerState
> {
  static getDerivedStateFromProps(
    nextProps: ItemIdentityPickerProps
  ): ItemIdentityPickerState
  constructor(props: ItemIdentityPickerProps)
  render(): JSX.Element
  renderColorPicker(): JSX.Element
  renderImagePicker(): JSX.Element
}
export {}
