import { MapView as MV, MapViewProps as MVProps, Region } from 'expo'
import React from 'react'
import { StyleProp, ViewStyle } from 'react-native'
import { LOCATION_NOT_FOUND_REASON } from '../utils'
export interface MapViewProps extends MVProps {
  containerStyle?: StyleProp<ViewStyle>
  goToMyLocationOnReady?: boolean
  onCurrentLocationNotFound?: (reason: LOCATION_NOT_FOUND_REASON) => void
}
interface State {
  ready: boolean
  busy: boolean
}
export declare class MapView extends React.Component<MapViewProps, State> {
  map: MV | null
  constructor(props: MapViewProps)
  render(): JSX.Element
  goToMyLocation(): Promise<void>
  animateToRegion(region: Region, duration?: number): void
}
export {}
