import { WithThemeProps } from '@dokuhero/react-native-theme'
import React from 'react'
export interface ModalProps extends Partial<WithThemeProps> {
  visible: boolean
  onAccept?: () => void
  children: React.ReactNode[] | React.ReactNode
  hideOnBackgroundPress?: boolean
}
interface ModalState {
  visible: boolean
}
export declare class Modal extends React.Component<ModalProps, ModalState> {
  static defaultProps: Partial<ModalProps>
  static getDerivedStateFromProps(
    props: ModalProps,
    state: ModalState
  ): ModalState | null
  constructor(props: ModalProps)
  render(): JSX.Element
  hide(): void
}
export {}
