import React from 'react'
import { WithThemeAndLocaleProps } from '../utils'
export interface PopupMessageProps extends Partial<WithThemeAndLocaleProps> {
  title?: string
  message: string
  visible: boolean
  onAccept?: () => void
  onClose?: () => void
}
interface PopupMessageState {
  visible: boolean
}
export declare class PopupMessage extends React.Component<
  PopupMessageProps,
  PopupMessageState
> {
  static getDerivedStateFromProps(
    props: PopupMessageProps,
    state: PopupMessageState
  ): PopupMessageState | null
  constructor(props: PopupMessageProps)
  render(): JSX.Element
  hide(): void
}
export {}
