import { Region } from 'expo'
export {
  DrawerNavOptions,
  TabNavOptions,
  WithThemeAndLocaleProps
} from './interface'
export declare type LOCATION_NOT_FOUND_REASON =
  | 'SERVICE_IS_OFF'
  | 'NEED_PERMISSION'
  | 'OTHER'
export declare class Utils {
  static toUpper(str: string | undefined): string
  static getDatesInMonth(date: Date): number[]
  static firstTimeInMonth(date: Date): Date
  static lastTimeInMonth(date: Date): Date
  static firstTimeInDate(date: Date): Date
  static lastTimeInDate(date: Date): Date
  static getCurrentPosition(
    onNotFound?: (reason: LOCATION_NOT_FOUND_REASON) => void,
    onBusy?: () => void
  ): Promise<Region | undefined>
}
