import * as tslib_1 from "tslib";
import { withTheme } from '@dokuhero/react-native-theme';
import React from 'react';
import { CheckBox as RNCheckBox } from 'react-native-elements';
import { globalStyles } from '../styles';
export var CheckBox = withTheme(function (_a) {
    var theme = _a.theme, rest = tslib_1.__rest(_a, ["theme"]);
    return (<RNCheckBox containerStyle={{
        borderWidth: 0,
        backgroundColor: theme.color.transparent
    }} textStyle={globalStyles.inputText} {...rest}/>);
});
//# sourceMappingURL=CheckBox.js.map