import { withLocale } from '@dokuhero/react-18n-ts-helper';
import { ThemeConsumer } from '@dokuhero/react-native-theme';
import React from 'react';
import { ActivityIndicator, StyleSheet, View } from 'react-native';
import { Text } from './Text';
export var DataLoading = withLocale('common')(function (_a) {
    var visible = _a.visible, t = _a.t, text = _a.text;
    return visible ? (<ThemeConsumer>
        {function (_a) {
        var color = _a.color;
        return (<View style={styles.container}>
            <View>
              <ActivityIndicator size="large" color={color.primary}/>
              <Text>{text || t('loading')}</Text>
            </View>
          </View>);
    }}
      </ThemeConsumer>) : null;
});
var styles = StyleSheet.create({
    container: {
        flex: 1,
        alignItems: 'center',
        flexDirection: 'column',
        justifyContent: 'center'
    }
});
//# sourceMappingURL=DataLoading.js.map