import { createStyleSheet, SpaceKeys } from '@dokuhero/react-native-theme';
import React from 'react';
import { Icon } from 'react-native-elements';
export var FixedButton = function (_a) {
    var color = _a.color, name = _a.name, onPress = _a.onPress;
    return (<Icon reverse color={color} name={name} raised onPress={onPress} containerStyle={styles.container}/>);
};
var styles = createStyleSheet({
    container: {
        position: 'absolute',
        right: SpaceKeys.small,
        bottom: SpaceKeys.small
    }
});
//# sourceMappingURL=FixedButton.js.map