import React from 'react'
import { StyleProp, ViewStyle } from 'react-native'
import { ButtonProps } from './Button'
export interface ButtonGroupProps {
  selectedIndex?: number
  width?: number | string
  height?: number | string
  buttons: ButtonProps[]
  onPress?: (index: number) => void
  containerStyle?: StyleProp<ViewStyle>
  textColor?: string
  backgroundColor?: string
  borderColor?: string
  borderWidth?: number
  borderRadius?: number
  fontSize?: number
}
export declare const ButtonGroup: React.ComponentType<ButtonGroupProps>
